#ifndef _TORQUE_LUT_H__
#define _TORQUE_LUT_H__
#include "os/os_types.h"
#include "foc/core/PMSM_FOC_Core.h"
typedef struct {
	bool  accl;
	float torque_req;
	float throttle_value;
	float thro_ration; //油门开度百分比
	float spd_filted;
	u32   count;
}torque_manager_t;
void torque_init(void);
void torque_reset(void);
void trq2dq_lookup(int rpm, float torque, DQ_t *dq_out);
void throttle_process(u8 run_mode, float f_throttle);
void request_torque(float thro_ration);
void trq2dq_lookup_init(void);
float get_thro_request_torque(void);

#endif /*_TORQUE_LUT_H__ */

